# TdApi.FoundFileDownloads (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: FoundFileDownloads

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FoundFileDownloads

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FoundFileDownloads

Enclosing class:
  TdApi

public static final class TdApi.FoundFileDownloads extends TdApi.Object
Contains a list of downloaded files, found by a search.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.FileDownload[]`
`files`
The list of files.
`String`
`nextOffset`
The offset for the next request.
`TdApi.DownloadedFileCounts`
`totalCounts`
Total number of suitable files, ignoring offset.

## Constructor Summary

Constructors
Constructor
Description
`FoundFileDownloads()`
Contains a list of downloaded files, found by a search.
`FoundFileDownloads(TdApi.DownloadedFileCounts totalCounts, TdApi.FileDownload[] files, String nextOffset)`
Contains a list of downloaded files, found by a search.
`FoundFileDownloads(DataInput input)`
Contains a list of downloaded files, found by a search.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCounts

public TdApi.DownloadedFileCounts totalCounts
Total number of suitable files, ignoring offset.

### files

public TdApi.FileDownload[] files
The list of files.

### nextOffset

public String nextOffset
The offset for the next request. If empty, there are no more results.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### FoundFileDownloads

public FoundFileDownloads()
Contains a list of downloaded files, found by a search.

### FoundFileDownloads

public FoundFileDownloads(TdApi.DownloadedFileCounts totalCounts, TdApi.FileDownload[] files, String nextOffset)
Contains a list of downloaded files, found by a search.

Parameters:
  `totalCounts` - DownloadedFileCounts Total number of suitable files, ignoring offset.
  `files` - FileDownload[] The list of files.
  `nextOffset` - String The offset for the next request. If empty, there are no more results.

### FoundFileDownloads

public FoundFileDownloads(DataInput input) throws IOException
Contains a list of downloaded files, found by a search.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`